%global _lto_cflags %nil
Name: trunk_recorder
Version: 4.5.0
Release: 1%{?dist}
Summary: Records calls from a Trunked Radio System (P25 & SmartNet)
License: GPL-3
URL: https://github.com/robotastic/trunk-recorder
Source0: https://github.com/robotastic/trunk-recorder/archive/refs/tags/v%{version}.tar.gz


BuildRequires: git
BuildRequires: cmake
BuildRequires: chrpath
BuildRequires: gcc-c++
BuildRequires: openssl-devel
BuildRequires: python3-gnuradio
BuildRequires: gnuradio-devel
BuildRequires: gr-osmosdr
BuildRequires: sox
BuildRequires: gr-osmosdr-devel
BuildRequires: libusb1-devel
BuildRequires: libcurl-devel
BuildRequires: fdk-aac-free-devel
BuildRequires: cppunit-devel
BuildRequires: log4cpp-devel
BuildRequires: gmp-devel gmp-c++
BuildRequires: libsndfile-devel
BuildRequires: fftw-devel
BuildRequires: uhd-firmware
BuildRequires: uhd-devel
BuildRequires: libunwind-devel
BuildRequires: spdlog-devel
BuildRequires: airspyone_host-devel
Requires:      airspyone_host
Requires:      gnuradio
Requires:      gr-osmosdr
Requires:      sox
Requires:      uhd-firmware
Requires:      uhd
Requires:      libaacs


%description
Trunk Recorder is able to record the calls on trunked and conventional
radio systems. It uses 1 or more Software Defined Radios (SDRs) to do this.
The SDRs capture large swathes of RF and then use software to process what
was received. GNURadio is used to do this processing because it provides lots of
convenient RF blocks that can be pieced together to allow for complex RF
processing. The libraries from the amazing OP25 project are used for a lot of
the P25 functionality. Multiple radio systems can be recorded at the same time.


%prep
%autosetup -p1 -n trunk-recorder-%{version}


%build
%cmake \
-DSYSCONFDIR=%{_sysconfdir} \
-DGR_PKG_DOC_DIR=%{_docdir}/%{name} \
-DGR_PYTHON_DIR=%{python3_sitearch} \
-DPYTHON_EXECUTABLE=%{__python3} \
%{?mfpu_neon}
#-DENABLE_DOXYGEN=FALSE \

%cmake_build

%install
%cmake_install
chrpath --delete $RPM_BUILD_ROOT%{_usr}/lib/trunk-recorder/libgnuradio-op25_repeater.so


%check
%ctest


%files
%{_usr}/lib/trunk-recorder
%{_bindir}/trunk-recorder
%{_includedir}/trunk-recorder/*.h
%{_includedir}/trunk-recorder/call_concluder/call_concluder.h
%{_includedir}/trunk-recorder/gr_blocks/*.h
%{_includedir}/trunk-recorder/gr_blocks/decoders/*.h
%{_includedir}/trunk-recorder/plugin_manager/plugin_api.h
%{_includedir}/trunk-recorder/plugin_manager/plugin_manager.h
%{_includedir}/trunk-recorder/recorders/*.h
%{_includedir}/trunk-recorder/systems/*.h
%{_libdir}/trunk-recorder/call.h
%{_libdir}/trunk-recorder/libtrunk-recorder.a
%{_libdir}/trunk-recorder/plugin_api.h


%changelog
* Fri  Apr 07 2023 Mairi Dulaney <mairi@seattlebus.space> - 4.5.0-1
- Update to 4.5.0

* Mon  Feb 28 2022 Comrade Dulaney <no@email.com> - 4.3.2-1
- Update to 4.3.2

* Wed  Feb 02 2022 Comrade Dulaney <no@email.com> - 4.3.0-2
- Include requires

* Wed  Feb 02 2022 Comrade Dulaney <no@email.com> - 4.3.0-1
- Update to 4.3.0

* Mon  Nov 29 2021 Comrade Dulaney <no@email.com> - 4.1.0-1
- Update to 4.1.0

* Tue  Oct 12 2021 Comrade Dulaney <no@email.com> - 4.0.3-1
- Initial rpm release
